Commit 941115f2 authored by Adrián Chaves Fernández (Gallaecio)'s avatar Adrián Chaves Fernández (Gallaecio)
Browse files

Upgraded Enet to its 1.3.3 version. Upgraded 0 A.D. to its sixth alpha,...

Upgraded Enet to its 1.3.3 version. Upgraded 0 A.D. to its sixth alpha, removed old patches (arch detection works, gtk strip is done from PKGBUILD now), and compiled it against new Enet version. Also, rebuilt against new Enet Lips of Suna, Speed Dreams and SuperTuxKart.
parent 74f67897
--- update-workspaces.sh.old 2011-05-04 01:54:29.000000000 +0200
+++ update-workspaces.sh 2011-05-23 20:20:38.875992890 +0200
@@ -43,6 +43,6 @@
echo
# If we're in bash then make HOSTTYPE available to Premake, for primitive arch-detection
-export HOSTTYPE="$HOSTTYPE"
+export HOSTTYPE="$CARCH"
src/bin/premake --outpath ../workspaces/gcc --collada "$@" --target gnu || die "Premake failed"
--- update-workspaces.sh.old 2010-09-10 22:15:49.000000000 +0200
+++ update-workspaces.sh 2010-12-12 12:38:39.000000000 +0100
@@ -42,4 +42,4 @@
# If we're in bash then make HOSTTYPE available to Premake, for primitive arch-detection
export HOSTTYPE="$HOSTTYPE"
-src/bin/premake --outpath ../workspaces/gcc --atlas --collada "$@" --target gnu || die "Premake failed"
+src/bin/premake --outpath ../workspaces/gcc --collada "$@" --target gnu || die "Premake failed"
......@@ -3,13 +3,10 @@
#
# Maintainer: Adrián Chaves Fernández (Gallaecio) <adriyetichaves gmail.com>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=0ad
pkgver=alpha_5
_pkgver=r09530-alpha
pkgrel=3
pkgver=alpha_6
_pkgver=r09786-alpha
pkgrel=1
pkgdesc="Cross-platform, 3D and historically-based real-time strategy game."
arch=('i686' 'x86_64')
url="http://wildfiregames.com/0ad"
......@@ -18,22 +15,22 @@ depends=('binutils' 'boost' 'crypto++' 'curl' 'devil' 'enet' 'fam' 'libogg' 'lib
makedepends=('cmake')
changelog=ChangeLog
source=(http://downloads.sourceforge.net/project/zero-ad/releases/$pkgname-$_pkgver-unix-build.tar.xz
http://downloads.sourceforge.net/project/zero-ad/releases/$pkgname-$_pkgver-unix-data.tar.xz
$pkgname-nogtk.patch
$pkgname-archdetection.diff)
md5sums=('d8c66ab1ef2309be7aa5ff127ccf0e6c'
'b03270f6145053f4f517ca7bd6e5cdc4'
'7bb8119a4d611cdffa05177ea2603151'
'641a8ee6dab4f0c9a875fbd84410c46a')
http://downloads.sourceforge.net/project/zero-ad/releases/$pkgname-$_pkgver-unix-data.tar.xz)
md5sums=('cb4be5f4a9b74a535f39815a6b0c3e85'
'085da67a4a681a34418aba49f04cbd28')
build()
{
cd $srcdir/$pkgname-$_pkgver/build/workspaces
patch -uN update-workspaces.sh $srcdir/$pkgname-archdetection.diff
patch -uN update-workspaces.sh $srcdir/$pkgname-nogtk.patch
sed -i \
's/unix_names = { "boost_signals-mt", "boost_filesystem-mt", "boost_system-mt" },/unix_names = { "boost_signals", "boost_filesystem", "boost_system" },/g' \
$srcdir/$pkgname-$_pkgver/build/premake/extern_libs.lua
./update-workspaces.sh
# Atlas disabled because it requires GTK.
./update-workspaces.sh \
--disable-atlas \
--with-system-enet
cd $srcdir/$pkgname-$_pkgver/build/workspaces/gcc
......
......@@ -3,11 +3,8 @@
#
# Maintainer: Adrián Chaves Fernández (Gallaecio) <adriyetichaves gmail.com>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=enet
pkgver=1.2.4
pkgver=1.3.3
pkgrel=1
pkgdesc='A relatively thin, simple and robust network communication layer on top of UDP.'
arch=('i686' 'x86_64')
......@@ -16,7 +13,7 @@ license=('MIT')
replaces=('enet-old')
changelog=ChangeLog
source=("http://$pkgname.bespin.org/download/$pkgname-$pkgver.tar.gz")
md5sums=('e2c35f5090a8a26c5ea41e6d08fadc91')
md5sums=('4b0b69377fd4511e82e5f0921a942e59')
build() {
cd $pkgname-$pkgver
......
......@@ -3,12 +3,9 @@
#
# Maintainer: Adrián Chaves Fernández (Gallaecio) <adriyetichaves gmail.com>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=lipsofsuna
pkgver=0.4.0
pkgrel=1
pkgrel=2
pkgdesc="Tongue-in-cheek dungeon crawl game that takes place in the chaotic dungeons of Suna."
arch=('i686' 'x86_64')
url="http://lipsofsuna.org/"
......
......@@ -6,7 +6,7 @@
pkgname=speed-dreams
pkgver=1.4.0
_pkgver=1.4.0-r2307
pkgrel=4
pkgrel=5
pkgdesc="A racing simulatir with rich graphics and physics."
arch=('i686' 'x86_64')
url="http://speed-dreams.sourceforge.net/"
......
......@@ -3,19 +3,16 @@
#
# Maintainer: Adrián Chaves Fernández (Gallaecio) <adriyetichaves gmail.com>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=supertuxkart
_pkgname=SuperTuxKart
pkgver=0.7.1b
_pkgver=0.7.1
pkgrel=1
pkgrel=2
pkgdesc="Kart racing game featuring Tux and friends."
url="http://supertuxkart.sourceforge.net/"
arch=('i686' 'x86_64')
license=('GPL3' 'GPL2' 'CCPL-by' 'CCPL-by-sa' 'custom:Creative Commons Sampling Plus 1.0' 'custom:FreeArt License' 'custom:SoundSnap license' 'custom:Public Domain')
depends=('enet' 'irrlicht' 'libgl' 'libogg' 'libvorbis' 'openal')
depends=('bzip2' 'enet' 'freeglut' 'irrlicht' 'libgl' 'libjpeg' 'libogg' 'libpng' 'libvorbis' 'openal')
conflicts=('supertuxkart-svn')
changelog=ChangeLog
source=(http://downloads.sourceforge.net/project/$pkgname/$_pkgname/$_pkgver/$pkgname-$pkgver-src.tar.bz2)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment